? Makefile.in
? auth/Makefile.in
? auth/basic/Makefile.in
? auth/basic/helpers/Makefile.in
? auth/basic/helpers/LDAP/Makefile.in
? auth/basic/helpers/MSNT/Makefile.in
? auth/basic/helpers/NCSA/Makefile.in
? auth/basic/helpers/PAM/Makefile.in
? auth/basic/helpers/SASL/Makefile.in
? auth/basic/helpers/SMB/Makefile.in
? auth/basic/helpers/YP/Makefile.in
? auth/basic/helpers/getpwnam/Makefile.in
? auth/basic/helpers/multi-domain-NTLM/Makefile.in
? auth/basic/helpers/winbind/Makefile.in
? auth/digest/Makefile.in
? auth/digest/helpers/Makefile.in
? auth/digest/helpers/password/Makefile.in
? auth/ntlm/Makefile.in
? auth/ntlm/helpers/Makefile.in
? auth/ntlm/helpers/SMB/Makefile.in
? auth/ntlm/helpers/SMB/smbval/Makefile.in
? auth/ntlm/helpers/fakeauth/Makefile.in
? auth/ntlm/helpers/no_check/Makefile.in
? auth/ntlm/helpers/winbind/Makefile.in
? fs/Makefile.in
? fs/aufs/Makefile.in
? fs/coss/Makefile.in
? fs/diskd/Makefile.in
? fs/null/Makefile.in
? fs/ufs/Makefile.in
? repl/Makefile.in
? repl/heap/Makefile.in
? repl/lru/Makefile.in
Index: cf.data.pre
===================================================================
RCS file: /export/home/jdw/cvsroot/squid/src/cf.data.pre,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -I\$Id.*\$ -r1.1.1.1 -r1.2
--- cf.data.pre	18 Jun 2002 20:08:47 -0000	1.1.1.1
+++ cf.data.pre	18 Jun 2002 20:16:40 -0000	1.2
@@ -1766,6 +1766,15 @@
 	cached then set 'quick_abort_min' to '-1 KB'.
 DOC_END
 
+NAME: read_ahead_gap
+COMMENT: buffer-size
+TYPE: kb_size_t
+LOC: Config.readAheadGap
+DEFAULT: 16 KB
+DOC_START
+	The amount of data the cache will buffer ahead of what has been
+	sent to the client when retrieving an object from another server.
+DOC_END
 
 NAME: negative_ttl
 COMMENT: time-units
Index: defines.h
===================================================================
RCS file: /export/home/jdw/cvsroot/squid/src/defines.h,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -I\$Id.*\$ -r1.1.1.1 -r1.2
--- defines.h	18 Jun 2002 20:08:52 -0000	1.1.1.1
+++ defines.h	18 Jun 2002 20:16:41 -0000	1.2
@@ -177,8 +177,6 @@
 #if !defined(ERROR_BUF_SZ) && defined(MAX_URL)
 #define ERROR_BUF_SZ (MAX_URL << 2)
 #endif
-
-#define READ_AHEAD_GAP		(1<<14)
 
 #if SQUID_SNMP
 #define VIEWINCLUDED    1
Index: forward.c
===================================================================
RCS file: /export/home/jdw/cvsroot/squid/src/forward.c,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -I\$Id.*\$ -r1.1.1.1 -r1.2
--- forward.c	18 Jun 2002 20:08:55 -0000	1.1.1.1
+++ forward.c	18 Jun 2002 20:16:41 -0000	1.2
@@ -665,7 +665,7 @@
 #endif
     if (EBIT_TEST(e->flags, ENTRY_FWD_HDR_WAIT))
 	return rc;
-    if (mem->inmem_hi - storeLowestMemReaderOffset(e) < READ_AHEAD_GAP)
+    if (mem->inmem_hi - storeLowestMemReaderOffset(e) < Config.readAheadGap)
 	return rc;
     return 1;
 }
Index: locrewrite.c
===================================================================
RCS file: /export/home/jdw/cvsroot/squid/src/locrewrite.c,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -I\$Id.*\$ -r1.1.1.2 -r1.2
Index: structs.h
===================================================================
RCS file: /export/home/jdw/cvsroot/squid/src/structs.h,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -I\$Id.*\$ -r1.1.1.1 -r1.2
--- structs.h	18 Jun 2002 20:09:21 -0000	1.1.1.1
+++ structs.h	18 Jun 2002 20:16:41 -0000	1.2
@@ -396,6 +396,7 @@
 	int pct;
 	size_t max;
     } quickAbort;
+    size_t readAheadGap;
     RemovalPolicySettings *replPolicy;
     RemovalPolicySettings *memPolicy;
     time_t referenceAge;

